## dasher 5.0.0~beta~repack2

=== Testing/dasher_tests/Makefile ===
# A sample Makefile for building Google Test and using it in user
# tests.  Please tweak it to suit your environment and project.  You
# may want to move it to your project's root directory.
#
# SYNOPSIS:
#
#   make [all]  - makes everything.
#   make TARGET - makes the given target.
#   make clean  - removes all files generated by make.

# Please tweak the following variable definitions as needed by your
# project, except GTEST_HEADERS, which you can use in your own targets
# but shouldn't modify.

# Points to the root of Google Test, relative to where this file is.
# Remember to tweak this if you move this file.
GTEST_DIR = ../gtest

#Points to the root of Dasher's source code
DASHER_CORE_DIR = ../../Src/DasherCore

TEST_PLATFORM_DIR = ../../Src/TestPlatform


# Where to find user code.
USER_DIR = .

# Where to find dasher object files
DASHER_SANDBOX_DIR = ../../dasher-sandbox/Src

DASHER_DIR = ../../Src

# Flags passed to the preprocessor.
CPPFLAGS += -I$(GTEST_DIR)/include -I$(DASHER_DIR)/DasherCore

# Flags passed to the C++ compiler.
CXXFLAGS += -g

# All tests produced by this Makefile.  Remember to add new tests you
# created to the list.
TESTS = EventTest

# All Google Test headers.  Usually you shouldn't change this
# definition.
GTEST_HEADERS = $(GTEST_DIR)/include/gtest/*.h \
                $(GTEST_DIR)/include/gtest/internal/*.h

# House-keeping build targets.

all : $(TESTS)

install :

uninstall :

clean :
	rm -f $(TESTS) gtest.a gtest_main.a *.o

# Builds gtest.a and gtest_main.a.

# Usually you shouldn't tweak such internal variables, indicated by a
# trailing _.
GTEST_SRCS_ = $(GTEST_DIR)/src/*.cc $(GTEST_DIR)/src/*.h $(GTEST_HEADERS)

# For simplicity and to avoid depending on Google Test's
# implementation details, the dependencies specified below are
# conservative and not optimized.  This is fine as Google Test
# compiles fast and for ordinary users its source rarely changes.
gtest-all.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c \
            $(GTEST_DIR)/src/gtest-all.cc

gtest_main.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c \
            $(GTEST_DIR)/src/gtest_main.cc

gtest.a : gtest-all.o
	$(AR) $(ARFLAGS) $@ $^

gtest_main.a : gtest-all.o gtest_main.o
	$(AR) $(ARFLAGS) $@ $^


# Builds a sample test.  A test should link with either gtest.a or
# gtest_main.a, depending on whether it defines its own main()
# function.

#sample1.o : $(USER_DIR)/sample1.cc $(USER_DIR)/sample1.h $(GTEST_HEADERS)
#	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/sample1.cc

#sample1_unittest.o : $(USER_DIR)/sample1_unittest.cc \
#                    $(USER_DIR)/sample1.h $(GTEST_HEADERS)
#	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/sample1_unittest.cc

#sample1_unittest : sample1.o sample1_unittest.o gtest_main.a
#	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -lpthread $^ -o $@

WordGenTest.o : $(USER_DIR)/WordGenTest.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/WordGenTest.cpp	

WordGenTest : WordGenTest.o \
			gtest_main.a $(DASHER_CORE_DIR)/libdashercore.a \
			$(DASHER_CORE_DIR)/libdasherprefs.a \
			$(DASHER_CORE_DIR)/LanguageModelling/libdasherlm.a
	$(CXX) $(CPPFLAGS) -lexpat $(CXXFLAGS) -lpthread $^ -o $@
	
EventTest.o : $(USER_DIR)/EventTest.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/EventTest.cpp

EventTest : EventTest.o \
			gtest_main.a $(DASHER_CORE_DIR)/libdashercore.a \
			$(DASHER_CORE_DIR)/libdasherprefs.a \
			$(DASHER_CORE_DIR)/LanguageModelling/libdasherlm.a
	$(CXX) $(CPPFLAGS) -lexpat $(CXXFLAGS) -lpthread $^ -o $@

## dasher 4.11+git20130508.adc653

=== debian/changelog ===
dasher (4.11+git20130508.adc653-1) unstable; urgency=low

  * New upstream git snapshot.
  * Switch to 3.0 quilt format.
  * error-format-security.patch, fix-binutils-gold.patch: dropped, 
    obsolete.
  * Disable joystick support, it doesn’t build.
  * Revamp build-dependencies, use gtk3 and at-spi2.
  * Enable Cairo, which is necessary for Gtk3. Sad it’s so slow.
  * Explicitly disable GSettings, the schemas don’t work. Use GConf 
    instead.
  * Update install files.
  * Build-depend on docbook-xml which is needed to build help files.

 -- Josselin Mouette <joss@debian.org>  Wed, 08 May 2013 12:16:17 +0200

dasher (4.11-2) unstable; urgency=low

  * Update repository URL.
  * Replace at-spi dependency with libatk-adaptor.

 -- Josselin Mouette <joss@debian.org>  Fri, 28 Sep 2012 23:05:10 +0200

dasher (4.11-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use source:Version instead of gnome:Version.
    Make the package binNMU safe. (Closes: #629307)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Jul 2012 18:00:29 +0200

dasher (4.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: game_mode_helper.cpp:327:15: error: format not a string
    literal and no format arguments [-Werror=format-security]":
    add patch error-format-security.patch from Eric Alexander: add a format
    argument in Src/Gtk2/game_mode_helper.cpp.
    (Closes: #643371)
  * Fix "ftbfs with gold or ld --no-add-needed":
    add patch fix-binutils-gold.patch from Mònica Ramírez Arceda: force
    linking against X11.
    (Closes: #615705)

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Dec 2011 17:04:06 +0100

dasher (4.11-1) unstable; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update build dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 Apr 2010 07:56:20 +0200

dasher (4.10.1-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/01_missing-includes.patch,
    debian/patches/02_gcc-4.3.patch:
    - Removed, dasher builds fine without them.

  [ Mario Lang ]
  * debian/control{,.in}: Add Vcs-Svn and Vcs-Browser fields.

  [ Josselin Mouette ]
  * Disable joystick support on non-Linux architectures.

 -- Josselin Mouette <joss@debian.org>  Fri, 20 Nov 2009 11:53:30 +0100

dasher (4.10.1-1) unstable; urgency=low

  [ Luca Falavigna ]
  * New upstream release.
    - Update manpage (Closes: #422466).
  * debian/control.in, debian/control:
    - Bump Standards-Version to 3.8.1, no changes required.
  * debian/patches/01_missing-includes.patch:
    - Refreshed for new upstream release.
  * debian/patches/02_gcc-4.3.patch:
    - Refreshed for new upstream release.

  [ Josselin Mouette ]
  * Update build-dependencies.
  * Install the gconf schemas.

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Jun 2009 01:53:54 +0200

dasher (4.9.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 19:21:08 +0100

dasher (4.9.0-1) experimental; urgency=low

  [ Loic Minier ]
  * Let dasher-data depend on ${misc:Depends}.

  [ Josselin Mouette ]
  * New upstream release.
  * Standards version is 3.8.0.
  * 01_missing-includes.patch, 02_gcc-4.3.patch: updated for the new 
    version.
  * 03_no-cairo.patch: dropped, merged upstream.
  * Move /usr/share/omf to dasher-data.
  * Bump dasher-data conflict accordingly.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Dec 2008 16:23:44 +0100

dasher (4.7.3-1) unstable; urgency=low

  * New upstream release (4.7.2 tarball was the wrong branch).
  * debian/patches/02_gcc-4.3.patch: Readd and update since most of it
    was merged upstream (Closes: Bug#475058).

 -- Mario Lang <mlang@debian.org>  Wed, 09 Apr 2008 16:29:47 +0200

dasher (4.7.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches/02_gcc-4.3.patch: Removed, applied upstream.
  * debian/patches/04_lldiv_namespace.patch: Likewise.
  * debian/copyright: Add Copyright years.

 -- Mario Lang <mlang@debian.org>  Tue, 08 Apr 2008 19:05:04 +0200

dasher (4.7.0-2) unstable; urgency=low

  * debian/patches/04_lldiv_namespace.patch: New patch taken from upstream,
    don't look for lldiv in `__gnu_cxx', hopefully fixes FTBFS on arm,
    armel, mips, mipsel.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Mar 2008 11:44:28 +0100

dasher (4.7.0-1) unstable; urgency=low

  [ Romain Francoise ]
  * New upstream release, fixes crash when switching alphabets
    (closes: #458254).
  * debian/dasher.menu: Update for new menu policy (closes: #445041).
  * debian/patches/01_missing-includes.patch: Resync with new upstream.
  * debian/patches/02_gcc-4.3.patch: New patch, fixes build with GCC 4.3,
    thanks to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
    (closes: #461944).
  * debian/patches/03_no-cairo.patch: New patch, fixes build w/o cairo.
  * debian/control: Bump Standards-Version to 3.7.3.

  [ Alan Baghumian ]
  * Updated debian/control*:
    - Bump gnome-doc-utils build-dep to 0.3.2
    - Changed libgnome-speech3-dev build dep to libgnome-speech-dev

  [ Josselin Mouette ]
  * Fix corrupt line in changelog.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 28 Mar 2008 20:21:59 +0100

dasher (4.4.2-2) unstable; urgency=low

  * Re-enable speech support.
  * Don't use --with-a11y, it's now enabled by default (and it has no
    effect anyway).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Jun 2007 11:40:15 +0200

dasher (4.4.2-1) unstable; urgency=low

  * New upstream stable release; translations and small bug fixes.
  * Adjust Build-Depends, libgnome-speech3-dev is now libgnome-speech-dev.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 09 Jun 2007 23:10:10 +0200

dasher (4.4.1-2) unstable; urgency=low

  * Added 01_missing-includes.patch (Closes: #421229).
     - Fixes FTBFS with GCC 4.3, thanks Martin Michlmayr

 -- Alan Baghumian <alan@technotux.org>  Sun, 29 Apr 2007 07:49:41 +0330

dasher (4.4.1-1) unstable; urgency=low



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: dasher
Section: x11
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Alan Baghumian <alan@technotux.org>,
           Josselin Mouette <joss@debian.org>, Mario Lang <mlang@debian.org>, Sebastian Dröge <slomo@debian.org>
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/attic/dasher
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/attic/dasher
Build-Depends: debhelper (>= 5.0.0),
               cdbs,
               gnome-pkg-tools (>= 0.6),
               dpkg-dev (>= 1.13.19),
               intltool (>= 0.40.1),
               libglib2.0-dev (>= 2.16.0),
               libcairo2-dev,
               libgtk-3-dev,
               libgconf2-dev,
               libgnome-speech-dev,
               libbonobo2-dev,
               liborbit2-dev,
               libexpat1-dev,
               libatspi2.0-dev,
               gnome-doc-utils (>= 0.9.0),
               docbook-xml
Standards-Version: 3.8.4

Package: dasher
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libatk-adaptor,
         dasher-data (= ${source:Version})
Description: A graphical predictive text input system
 Dasher is an information-efficient text-entry interface, driven by natural
 continuous pointing gestures. Dasher is a competitive text-entry system
 wherever a full-size keyboard cannot be used - for example,
 .
  * on a palmtop computer
  * on a wearable computer
  * when operating a computer one-handed, by joystick, touchscreen, trackball,
  or mouse
  * when operating a computer with zero hands (i.e., by head-mouse or by
  eyetracker).
 .
 The eyetracking version of Dasher allows an experienced user to write text
 as fast as normal handwriting - 25 words per minute; using a mouse,
 experienced users can write at 39 words per minute.
 .
 Dasher uses a more advanced prediction algorithm than the T9(tm) system
 often used in mobile phones, making it sensitive to surrounding context.

Package: dasher-data
Architecture: all
Depends: ${misc:Depends}
Recommends: dasher
Conflicts: dasher (<< 4.9.0)
Description: Data files for dasher
 Dasher is an information-efficient text-entry interface, driven by natural
 continuous pointing gestures. Dasher is a competitive text-entry system
 wherever a full-size keyboard cannot be used .
 .
 This package contains various arch-independent data files for dasher:
  * alphabet descriptions for all languages
  * letter colours settings
  * training files in all languages

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += \
	--enable-speech \
	--without-gsettings

=== debian/watch ===
version=2
http://download.gnome.org/sources/dasher/([\d\.]+)[02468]/dasher-([\d\.]+)\.tar\.gz

## dasher 5.0.0~beta~repack

=== debian/changelog ===
dasher (5.0.0~beta~repack-6) unstable; urgency=medium

  * Bug fix: "dasher -- does not work with wayland backend" with new patch
    nowayland (Closes: #852699).
  * Update VCS fields to salsa.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 21 Mar 2018 15:56:05 +0100

dasher (5.0.0~beta~repack-5) unstable; urgency=medium

  * Team upload
  * Modify patches/nonet to not require rarian
  * Don't Build-Depend on rarian-compat
  * Use dh_missing --fail-missing

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 02 Jan 2018 12:36:33 -0500

dasher (5.0.0~beta~repack-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Don't Build-Depend on obsolete gconf, gnome-speech, or
    rarian-compat (we use gsettings and speech-dispatcher already)
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

  [ Helmut Grohne ]
  * Fix FTCBFS: Configure only once and let dh_auto_configure do it.
    (Closes: #883560)

  [ Samuel Thibault ]
  * control: Build-Depend on rarian-compat.
  * patches/nonet: New patch to avoid network access for a dtd which is
    already packaged.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 29 Dec 2017 22:49:56 -0500

dasher (5.0.0~beta~repack-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Team upload
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Drop actually-unused libbonobo2-dev liborbit2-dev dependencies.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Oct 2017 22:22:22 +0200

dasher (5.0.0~beta~repack-2) unstable; urgency=low

  * Bug fix: "Fails to build from source without networking", thanks to
    Jeremy Bicha (Closes: #852047).

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 21 Jan 2017 18:59:07 +0100

dasher (5.0.0~beta~repack-1) unstable; urgency=low

  * New upstream version 5.0.0~beta, repacked to remove non-DFSG-free
    material and large amounts of source code for other platforms;
  * Convert packaging to dh;
  * Use gsettings instead of gconf;
  * Update watch file;
  * Update years in copyright file.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 20 Jan 2017 17:06:17 +0100

dasher (4.11+git20130508.adc653-3) unstable; urgency=low

  [ Michael Biebl ]
  * Remove Debian menu entry.

  [ Thibaut Paumard ]
  * Reintroducing dasher with new team maintenance in debian-accessibility
    (Closes: #839836).
  * Bug fix: "FTBFS with GCC 6: cannot convert x to y". Reported by Martin
    Michlmayr, patch by Adrian Bunk (Closes: #811640).
  * Activate all hardening features.
  * Check against Policy 3.9.8.
  * Regenerate autotools material (build-depend on autotools-dev).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 11 Oct 2016 16:46:31 +0200

dasher (4.11+git20130508.adc653-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS (Closes: #755343)
  * Add myself to uploaders

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 30 Oct 2014 22:04:05 +0100

=== debian/control ===
Source: dasher
Section: x11
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Vcs-Git: https://salsa.debian.org/a11y-team/dasher.git
Vcs-Browser: https://salsa.debian.org/a11y-team/dasher
Build-Depends: debhelper (>= 11),
               gnome-common,
               gnome-pkg-tools (>= 0.6),
               intltool (>= 0.40.1),
               libglib2.0-dev (>= 2.16.0),
               libcairo2-dev,
               libgtk-3-dev,
               libexpat1-dev,
               libatspi2.0-dev,
               libspeechd-dev,
               gnome-doc-utils (>= 0.9.0),
               docbook-xml
Standards-Version: 4.1.3

Package: dasher
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libatk-adaptor,
         dasher-data (= ${source:Version})
Description: graphical predictive text input system
 Dasher is an information-efficient text-entry interface, driven by natural
 continuous pointing gestures. Dasher is a competitive text-entry system
 wherever a full-size keyboard cannot be used - for example,
 .
  * on a palmtop computer
  * on a wearable computer
  * when operating a computer one-handed, by joystick, touchscreen, trackball,
  or mouse
  * when operating a computer with zero hands (i.e., by head-mouse or by
  eyetracker).
 .
 The eyetracking version of Dasher allows an experienced user to write text
 as fast as normal handwriting - 25 words per minute; using a mouse,
 experienced users can write at 39 words per minute.
 .
 Dasher uses a more advanced prediction algorithm than the T9(tm) system
 often used in mobile phones, making it sensitive to surrounding context.

Package: dasher-data
Architecture: all
Depends: ${misc:Depends}
Recommends: dasher
Description: Data files for dasher
 Dasher is an information-efficient text-entry interface, driven by natural
 continuous pointing gestures. Dasher is a competitive text-entry system
 wherever a full-size keyboard cannot be used .
 .
 This package contains various arch-independent data files for dasher:
  * alphabet descriptions for all languages
  * letter colours settings
  * training files in all languages

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/DASHER_?(\d\S+)\.tar\.gz/dasher-$1\.tar\.gz/, \
      uversionmangle=s/_(alpha|beta|pre)/~$1/; y/_/\./, \
      dversionmangle=s/~repack(\d)?//" \
  https://github.com/ipomoena/dasher/tags .*/DASHER_(\d\S+)\.tar\.gz

## dasher 5.0.0~beta~repack2

=== debian/changelog ===
dasher (5.0.0~beta~repack2-5) unstable; urgency=medium

  * clean: Add yet more cleaning (Closes: Bug#1044454).
  * Update standards version to 4.6.2, no changes needed.
  * patches/no-gnome-common: Replace gnome-autogen.sh with autogen.
  * control: Drop gnome-common build-dep (Closes: Bug#829777).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Aug 2025 15:03:00 +0200

dasher (5.0.0~beta~repack2-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * source/lintian-overrides: Suppress warning.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gnome-pkg-tools, intltool and
      libglib2.0-dev.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:21:49 +0100

dasher (5.0.0~beta~repack2-3) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * patches/atspi_cpp: Fix build with newer atspi/atspi.h.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Sep 2021 20:02:25 +0200

dasher (5.0.0~beta~repack2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fill in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name.
  * Fix day-of-week for changelog entries 3.2.10-4, 3.2.10-3.
  * Update standards version to 4.5.0, no changes needed.

  [ Samuel Thibault ]
  * control: Update alioth list domain.
  * rules: Drop now-default -Wl,--as-needed option
  * patches/intltool-update: Avoid issue with intltool-update
    (Closes: #978315).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Dec 2020 20:29:37 +0100

dasher (5.0.0~beta~repack2-1) unstable; urgency=medium

  * Repack to remove Win32 binary.
  * control: Make dasher-data multi-arch: foreign.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Add myself as uploader.
  * watch: Generalize pattern.
  * patches/yelp: Migrate to yelp-tools.
  * control: Build-Depend on yelp-tools instead of gnome-doc-utils
    (Closes: Bug#947519).
  * dasher-data.install: Install /usr/share/help instead of
    /usr/share/gnome.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Dec 2019 18:01:41 +0100

dasher (5.0.0~beta~repack-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0 (no changes).
  * patches/drop: Drop some spurious data (Closes: Bug#920198).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Jan 2019 22:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: dasher
 Section: x11
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <thibaut@debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Uploaders: Thibaut Paumard <thibaut@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Git: https://salsa.debian.org/a11y-team/dasher.git
 Vcs-Browser: https://salsa.debian.org/a11y-team/dasher
-Build-Depends: debhelper (>= 11),
-               gnome-common,
-               gnome-pkg-tools (>= 0.6),
-               intltool (>= 0.40.1),
-               libglib2.0-dev (>= 2.16.0),
+Build-Depends: debhelper-compat (= 13),
+               gnome-pkg-tools,
+               intltool,
+               libglib2.0-dev,
                libcairo2-dev,
                libgtk-3-dev,
                libexpat1-dev,
                libatspi2.0-dev,
                libspeechd-dev,
-               gnome-doc-utils (>= 0.9.0),
+               yelp-tools,
                docbook-xml
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: http://www.inference.phy.cam.ac.uk/dasher/
 
 Package: dasher
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libatk-adaptor,
@@ -46,6 +48,7 @@
 
 Package: dasher-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: dasher
 Description: Data files for dasher

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

# define DEB_VERSION*
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_autoreconf:
	rm m4/glib-gettext.m4 || true
	echo $(DEB_VERSION_UPSTREAM) | sed 's/~repack//' > .tarball-version
	NOCONFIGURE=1 ./autogen.sh
	dh_autoreconf

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/DASHER_?(\d\S+@ARCHIVE_EXT@)/dasher-$1/, \
      uversionmangle=s/_(alpha|beta|pre)/~$1/; y/_/\./, \
      dversionmangle=s/~repack(\d)?//" \
  https://github.com/ipomoena/dasher/tags .*/DASHER_(\d\S+)@ARCHIVE_EXT@
